# Copyright (c) 2001 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307
# USA.

"""
HornGui is the user graphical interface to Narval
"""

__revision__ = "$Id: HelpWindow.py,v 1.7 2001/09/17 14:11:52 alf Exp $"

from DialogWindow import *

"""
Help Window
"""

class HelpWindow(DialogWindow):
    """
    Help Window class, parent is DialogWindow
    """
    def __init__(self):
        DialogWindow.__init__(self,unicode_to_gtk(_('Help Window')))

        self.connect('delete-event',self._exit)
        self.append_dialog(GtkLabel(unicode_to_gtk(_("Sorry, no help available for the moment"))))
        self.ok_button.show()
        self.ok_button.set_flags(CAN_DEFAULT|HAS_DEFAULT)
        self.ok_button.connect_object('clicked',lambda x:x.destroy(),self)

    def _exit(self,*args):
        self.destroy()
